ITR OCR Pull
Introduction:
ITR is one of the most important structured data sources that can help in understanding the financial background of an individual/corporate. This data can then be cross-referenced with other sources like Bank Statements, GST, MCA data if available, or Declared information like Employment details and Salary to have a more comprehensive picture of the customer. The important usecase of this data is Lending of any sort but it can also be used for onboarding and account openings for corporates in some cases Our API seamlessly integrates the financial data retrieval process, starting with users initiating the generation of a unique reference ID by providing essential credentials. This reference ID serves as the key for users to request comprehensive Income Tax Return (ITR) analytics, including ITR details, tax information, balance sheets, profit and loss statements, and ratio analysis. The API efficiently responds with a downloadable Excel file, enabling users to conduct in-depth analyses and make well-informed financial decisions based on the wealth of detailed analytics data provided. Added Authenticated URL with the help of fileKey, an alphanumeric string which will be taken as input, this fileKey will be used while fetching reports, this fileKey will be appended at the end of URL to fetch report.
To access a file, use the URL from the response and append ?key=<your_fileKey>
Endpoints:
This API consists of two main endpoints:
- ITR OCR Pull
- ITR OCR Pull Reports
POST /itr-ocr-itr-pull
This API generates a reference ID for a given user using the uploaded pdf.
API details
Endpoint
curl --location 'https://api-preproduction.signzy.app/api/v3/itr/itr-ocr-itr-pull' \
--header 'Authorization: XXXXXXXXXXXXXXXXXXXXXXX' \
--header 'Content-Type: application/json' \
--data '{
"panNumber": "<pan-number>",
"files" : [
{
"fileUrl": "<persist-url>",
"password": "<if password is there for file>"
}
]
}'Request headers
Name | Value | Required | Description |
|---|---|---|---|
Authorization | XXXXXXXXXXXXXXX | Mandatory | An authentication token to authorize the request. Reach out to the Signzy support team to get one created. |
Input Parameters:
Parameter | Type | Description | Mandatory/Optional |
|---|---|---|---|
panNumber | string | The PAN of the user. | Mandatory |
files | Array | The files array which contains the file Url array with the password if the file is password protected. | Mandatory |
files.fileUrl | String | The url of the file | Mandatory |
files.password | String | The password of the password protected file. | Optional |
fileKey | String | Alphanumeric String(6 - 10 characters) | Optional |
Sample Response
{
"result": {
"requestId": "38d991b0-XXXX-XXXX-XXXX-XXXXXXXXc4a2",
"statusMessage": "Successfully Submitted."
}
}Request body parameters
Parameter | Data Type | Description |
|---|---|---|
result | Object | Contains the result details. |
result.requestId | String | The unique requestId generated for the Pull request. |
result.statusMessage | String | The status message depicting the status of the request. |
Status Codes:
{
"result": {
"requestId": "38d991b0-XXXX-XXXX-XXXX-XXXXXXXXc4a2",
"statusMessage": "Successfully Submitted."
}
}Contact Us for Any Assistance
If you have any questions or need assistance, please reach out to our customer support team. You can contact us via email at [email protected]. We strive to provide prompt and reliable assistance, ensuring your queries are addressed effectively.
We value your feedback and are committed to making your experience smooth and enjoyable. Our team is dedicated to assisting you with any needs you may have. Thank you for choosing our services. We look forward to helping you!